 
#ifndef BOOST_PROCESS_INITIALIZER_ARGS_HPP
#define BOOST_PROCESS_INITIALIZER_ARGS_HPP

#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/initializers/args.hpp>

    namespace boost { namespace process { using posix::arg ; }}
    namespace boost { namespace process { using posix::args; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/initializers/args.hpp>

    namespace boost { namespace process { using windows::arg ; }}
    namespace boost { namespace process { using windows::args; }}

#endif

#endif // BOOST_PROCESS_INITIALIZER_ARGS_HPP