
#ifndef BOOST_PROCESS_INITIALIZER_THROW_ON_LAUNCH_ERROR_HPP
#define BOOST_PROCESS_INITIALIZER_THROW_ON_LAUNCH_ERROR_HPP

#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/initializers/throw_on_launch_error.hpp>

namespace boost { namespace process { using posix::throw_on_launch_error; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/initializers/throw_on_launch_error.hpp>

namespace boost { namespace process { using windows::throw_on_launch_error; }}

#endif

#endif // BOOST_PROCESS_INITIALIZER_THROW_ON_LAUNCH_ERROR_HPP