
#ifndef BOOST_PROCESS_INITIALIZER_PATHS_HPP
#define BOOST_PROCESS_INITIALIZER_PATHS_HPP

#include <boost/process/config.hpp>

#if defined(BOOST_POSIX_API)

#   include <boost/process/posix/initializers/paths.hpp>

    namespace boost { namespace process { using posix::paths; }}

#elif defined(BOOST_WINDOWS_API)

#   include <boost/process/windows/initializers/paths.hpp>

    namespace boost { namespace process { using windows::paths; }}

#endif

#endif // BOOST_PROCESS_INITIALIZER_PATHS_HPP